# Form-Service-Serializer

Handling forms, services and serialization the nice way.

## Getting started

FSS is a Rails controller's concern providing DSL for handling API-only commands in a simple way.
Tested against Rails `>= 5.2.1` and Ruby `>= 2.5.1`.
Forms need to be `reform` ones and serializers need to be `fast_jsonapi`

You can add it to your Gemfile with:

```sh
gem 'fss'
```

Then run bundle command to install it.

After that you're able to add to your controller:

```ruby
include Fss::Commandable
```

Now, in your controller method bodies you're able to do following:

```rb
command_result = command restaurant_params do
  form RestaurantForm
  service Services::Restaurant::CreateRestaurant, current_user
  serializer RestaurantSerializer
end
```

From the given example `restaurant_params` are being passed to form and service calls.
